# Uses of Enum Class
org.eclipse.emf.compare.internal.merge.MergeOperation

Packages that use MergeOperation
Package
Description
org.eclipse.emf.compare.internal.merge

## Uses of MergeOperation in org.eclipse.emf.compare.internal.merge

Methods in org.eclipse.emf.compare.internal.merge that return MergeOperation
Modifier and Type
Method
Description
`MergeOperation`
MergeMode.`getMergeAction(Diff difference, boolean isLeftEditable, boolean isRightEditable)`
Returns the required action to be done to the given difference in this mode.
`static MergeOperation`
MergeOperation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MergeOperation[]`
MergeOperation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.